QGIS Application - Bug report #14377
SAGA Zonal Grid Statistics - v2.1.2
2016-02-25 12:46 PM - Mark Schulz

Status: Closed

Priority: Normal
Assignee: Giovanni Manghi
Category: Processing/SAGA

Affected QGIS version:2.8.5
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22359

Description

When | run SAGA Zonal Grid Statistics via QGIS, | get an error that file extents are not the same. However, checking the metadata, the
files have exactly the same extent. After some debugging, | found that | must covert all the files to the same type (e.g. float32) with the
same NoData values before it will run. The SAGA folks say that zonal statistics should be able to run with all file types as long as the

extent is the same.

QGIS 2.8.6
SAGA2.1.2

History

#1 - 2016-02-26 11:07 AM - Mark Schulz

I ran the same files through the SAGA GUI instead of QGIS and they run fine through that but will not run via QGIS GUI.

#2 - 2016-04-09 11:16 AM - Giovanni Manghi
- Assignee set to Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Processing/SAGA

Please try again on QGIS master and report back. thanks.

#3 - 2016-05-23 06:10 AM - Alexander Bruy
- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
